#!/usr/bin/make -f

PYVERS := $(shell pyversions -rv 2>/dev/null)

%:
	 dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; cd tests; \
	for py in $(PYVERS); do \
		PYTHONPATH=`find $(CURDIR)/build  -mindepth 1 -maxdepth 1 -type d -name "lib.*-$$py"` python$$py all.py -v 2 ;\
	done
endif

override_dh_clean:
	dh_clean
	rm -rf build
